package xyz.karx.spirc;

import java.io.BufferedWriter;
import java.io.IOException;

public class Chat
{
    private final String USERNAME;
    private final String CHANNEL;

    public Chat(String USERNAME, String CHANNEL)
    {
        this.USERNAME = USERNAME;
        this.CHANNEL = CHANNEL;
    }

//    public int processCommands(BufferedWriter bw, String user, String message)
//    {
//        String[] command = message.split(" ");
//
//        //example commands.
//
//        if(command[0].equals("!shutdown") && user.equals(CHANNEL))
//        {
//            return -1;
//        }
//        else if(command[0].equals("!ping"))
//        {
//            sendToChat(bw, "@" + user + " pong!");
//            return 0;
//        }
//        else
//        {
//            return 0;
//        }
//    }

    public void sendToServer(BufferedWriter bw, String message)
    {
        try
        {
            bw.write(message + "\r\n");
            bw.flush();
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
    }

    public void sendToChat(BufferedWriter bw, String message)
    {
        sendToServer(bw, "PRIVMSG #" + CHANNEL + " :" + message);
        Main.getPlugin(Main.class).getLogger().info(USERNAME + " >> " + message);
    }
}
