package xyz.karx.spirc;

import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {
    public Bot bot;

    @Override
    public void onEnable() {
        super.onEnable();
        getLogger().info("Hello there!");

        saveDefaultConfig();

        String username = getConfig().getString("username");
        String host = getConfig().getString("host");
        String channel = getConfig().getString("channel");
        int port = getConfig().getInt("port");

        bot = new Bot(username, host, channel, port);

        bot.init();
        bot.start();

        getServer().getPluginManager().registerEvents(new MinecraftListener(), this);
    }

    @Override
    public void onDisable() {
        super.onDisable();
        bot.terminate();
    }
}
