package xyz.karx.spirc;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.event.player.AsyncPlayerChatEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;

public class MinecraftListener implements Listener {
    @EventHandler
    public void onChat(AsyncPlayerChatEvent event) {
        Main.getPlugin(Main.class).bot.sendMessage("<" + event.getPlayer().getDisplayName() + "> " + event.getMessage());
    }


    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        Main.getPlugin(Main.class).bot.sendMessage((char) 0x02 + event.getPlayer().getDisplayName() + " has joined");
    }

    @EventHandler
    public void onPlayerLeave(PlayerQuitEvent event) {
        Main.getPlugin(Main.class).bot.sendMessage((char) 0x02 + event.getPlayer().getDisplayName() + " has left");
    }

    @EventHandler
    public void onPlayerDeath(PlayerDeathEvent event) {
        Main.getPlugin(Main.class).bot.sendMessage((char) 0x1D + event.getDeathMessage());
    }
}
